Groovy 1.7.10

## org.codehaus.groovy.transform.powerassert
[Java] Class AssertionRenderer

    java.lang.Object
      org.codehaus.groovy.transform.powerassert.AssertionRenderer

    public class AssertionRenderer
    extends Object

Creates a string representation of an assertion and its recorded values.

Authors:
  Peter Niederwieser

Method Summary
`static String` | `render(String text, ValueRecorder recorder)` Creates a string representation of an assertion and its recorded values.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### render

    public static String render(String text, ValueRecorder recorder)

  Creates a string representation of an assertion and its recorded values.
  Parameters:
    `text` - the assertion's source text
    `recorder` - a recorder holding the values recorded during evaluation of the assertion
  Returns:
    a string representation of the assertion and its recorded values

Copyright © 2003-2010 The Codehaus. All rights reserved.